## sql_updatestat

### Use

You update the statistics for the SQL Optimizer.

You can update all the statistics or restrict the update function to a set of statistics using a table or column specification.

See also:

Concepts of the Database System, SQL Optimizer

### Prerequisites

● You have the server authorization AccessSQL.

● You have opened a database session (see: db_connect).

### Syntax

sql_updatestat [<table_or_column_spec>]

<table_or_column_spec> | Table or column specification for possible arguments and keywords see: SQL Reference Manual, UPDATE STATISTICS Statement (update_statistics_statement)

### Reply

OK

In the event of errors, see Reply Format.